'use strict';

module.exports = babelPluginEnvBuild;

function babelPluginEnvBuild(_ref) {
  var t = _ref.types;

  return {
    name: 'env-build',
    visitor: {
      MemberExpression(path) {
        if (path.get('object').matchesPattern('process.env')) {
          var key = path.toComputedKey();
          if (t.isStringLiteral(key) && key.value.startsWith('BUILD_')) {
            path.replaceWith(t.valueToNode(process.env[key.value]));
          }
        }
      }
    }
  };
}